#! /usr/bin/env tclsh
proc button {for text image script var {showtext 0}} {
  #set onMouseOver "window.status='$text'; return true"
  set onMouseOver "return overlib('$text',AUTOSTATUS,TEXTSIZE,2,WIDTH,70)"

  if {$script == "Logout" } {
    set target _top
  } else {
    set target main
  }

  set onMouseOut  "nd();"
  if {$var == "for"} {
    table_data align=center {
      puts [url [cgi_imglink $image] [cgi_cgi $script [cgi_set for $for]] onMouseOver=$onMouseOver onMouseOut=$onMouseOut target=$target]
    }
    if {$showtext} {
      table_data align=left {
        puts [bold [url $text [cgi_cgi $script [cgi_set for $for]] target=$target]]
      }
    }
  } else {
    table_data align=center {
      puts [url [cgi_imglink $image] [cgi_cgi $script] onMouseOver=$onMouseOver onMouseOut=$onMouseOut target=$target]
    } 
    if {$showtext} {
      table_data {
        puts [bold [url $text [cgi_cgi $script] target=$target]]
      }
    }
  }
}

proc usermenu {for level {showtext 0}} {
  global CINEMA tcl_platform

  # level text                  image       cgi
  set c {
    {1 "Edit user"              UserEdit    UserEditForm for}
    {2 "Aliases"                Aliases     Aliases      for}
    {2 "Contacts"               Contacts    Contacts     for}
    {2 "Address book"           Person      PersonList   for}
    {2 "New address book entry" PersonNew   PersonEdit   for}
    {2 "Third Party Reg."       ThirdParty  ThirdParty   for}
    {2 "Scripts"                Scripts     Scripts      for}
    {3 "Search for user"        Search      UserSearchForm}
    {3 "List users"             UserList    UserList     ""}
    {3 "Add user"               AddUser     UserEditForm ""}
    {3 "Gateway classes"        Gwclass     Gwclass}
    {2 "Request log"            Requestlog  Requestlog   for}
    {1 "Tariffs"                Tariff      TariffList   ""}
    {3 "Rating"                 Rating      Rating       ""}
    {2 "Bill"                   Bill        Bill         for}
    {3 "Configure"              Configure   ConfigCinema}
    {2 "Conference"             Conference  ConfList     for}
  }
 
  sqlrecord "SELECT vmailuserdir FROM vmail WHERE server_name='$CINEMA(server_name)'" VMAIL
  if {$VMAIL(vmailuserdir) != ""} {
    lappend c {2 Voicemail Voicemail   Vmail       for}
  }

  # lappend c {2 "Calendar"  Calendar    EventEdit   for}  

  if {[info exists tcl_platform(platform)] &&
       $tcl_platform(platform) == "unix"} {
    lappend c {3 "Monitor"   Monitor     alive}
  }

  lappend c {1 "Help"      Help        usermanual}
  lappend c {1 "Logout"    Exit        Logout}

  table {
    for {set m 0} {[lindex $c $m] != ""} {} {
      table_row {
        set columns 0
        for {set columns 0} {$columns < 2 && [lindex $c $m] != ""} {} {
          maplist [lindex $c $m] minlevel text image script var
          if {$level >= $minlevel && [file exists ${script}[cgi_suffix]]} {
            button $for $text $image $script $var
            incr columns
          }
          incr m
        }
      }
    }
  }
}

package provide cinema 1.0
